Foreman - Bug #29344

Position of text cursor in ace-editor wrong

03/13/2020 01:13 PM - Bernhard Suttner

Status: Closed
Priority: Normal
Assignee: Bernhard Suttner
Category: Templates
Target version: 1.24.3
Difficulty: Fixed in Releases: 2.1.0
Triaged: No Found in Releases: 1.24.1, Nightly
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/7513
Description

Especially if the text line is long, the cursor position is wrong. Example

Cursor position: " hello Wo|rld" (= position after o)

You enter "12"

Result: " hello Worl|d12"

Related issues:

Has duplicate Foreman - Bug #29467: ACE Editor instances have a massive drift... Duplicate

Associated revisions

Revision 4e080adb - 03/18/2020 12:33 AM - Bernhard Suttner

Fixes #29344 - fix editor cursor position

History

#1 - 03/13/2020 01:14 PM - Bernhard Suttner
- Found in Releases 1.24.1, Nightly added

#2 - 03/13/2020 01:16 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Bernhard Suttner

- Pull request https://github.com/theforeman/foreman/pull/7513 added

#3 - 03/18/2020 12:33 AM - The Foreman Bot
- Fixed in Releases 2.1.0 added

#4 - 03/18/2020 01:01 AM - Anonymous

- Status changed from Ready For Testing to Closed

Applied in changeset 4e080adb04ca571136a4782e92325356ace29b21.

#5 - 04/05/2020 01:22 PM - Tomer Brisker

- Has duplicate Bug #29467: ACE Editor instances have a massive drift between blinking cursor and actual insertion point added

#6 - 04/05/2020 01:23 PM - Tomer Brisker

- Category set to Templates

#7 - 04/05/2020 01:23 PM - Tomer Brisker

- Target version set to 1.24.3

05/12/2024

1/1



https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/4e080adb04ca571136a4782e92325356ace29b21
http://www.tcpdf.org

